Summary

Firefox has removed support for NPAPI plugins in Firefox update 52 and later. This affects accessing any K2 feature that uses Silverlight technology. When accessing the components you will be prompted to install Silverlight as shown below:

Image

The install Silverlight message keeps on displaying even after installing it.

The impacted components are:

  • View Flow report
  • Workflow Designer (available from K2 Designer in K2 smartforms or in K2 for SharePoint)
  • SmartObject Designer (the SmartObject association step, available from K2 Designer)

As Firefox no longer supports Silverlight, these components cannot load.

Cause

As documented in Mozilla's Blog (https://support.mozilla.org/t5/Problems-with-add-ons-plugins-or/Why-do-Java-Silverlight-Adobe-Acrobat-and-other-plugins-no/ta-p/31069), Firefox began phasing out support for NPAPI in March 2017 with the release of Firefox version 52.

Workarounds

To resolve this issue, use one of the following workarounds:

  1. Use an earlier version of Firefox.
  2. Install the Firefox Extended Support Release version (see https://www.mozilla.org/en-US/firefox/organizations/all/ for more information).
  3. Use a different browser. For more information on supported browsers, please see the Product Compatibility, Integration and Support Matrix

If you are not on the latest version of Firefox, you can change settings in FireFox to prevent the automatic update of the browser to the latest version.